aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorAndrew Gerrand <adg@golang.org>2010-10-21 10:46:10 +1100
committerAndrew Gerrand <adg@golang.org>2010-10-21 10:46:10 +1100
commit06492d47cbc3f4fe503f80c8cd7a97772566324a (patch)
tree7c8cbbd7a8543b9ea363ff3aa59832f8383aa3d4 /src/run.bash
parent1c9dfb7647a6802c73a7aafa6f45f2e6249f5ab6 (diff)
downloadgo-06492d47cbc3f4fe503f80c8cd7a97772566324a.tar.xz
build: add gobuilder and goplay to run.bash
gobuilder: fix build to work with new log package R=rsc CC=golang-dev https://golang.org/cl/2592041
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index 4341d9da6e..4455d2736e 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -95,6 +95,14 @@ if [[ $(uname | tr A-Z a-z | sed 's/mingw/windows/') != *windows* ]]; then
fi
) || exit $?
+for i in ../misc/dashboard/builder ../misc/goplay
+do
+ (xcd $i
+ gomake clean
+ gomake
+ ) || exit $?
+done
+
[ "$GOARCH" == arm ] ||
(xcd ../test/bench
if [[ $(uname | tr A-Z a-z | sed 's/mingw/windows/') != *windows* ]]; then